Bug 140653 - Oops in ext3 journal_dirty_metadata
Oops in ext3 journal_dirty_metadata
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 19:17 EST by David Rees
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Rees 2004-11-23 19:17:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I was creating a Sybase data device file on a ext3 partition mounted
with the default options.  The ext3 partition sits on a 3ware IDE RAID
card.  While the file was being written, I turned on/off the journal
attribute a few times using chattr +j on the file to see how it
effected performance.  While turning data journalling off, after
turning it on, I got this oops:

Nov 23 13:10:08 lucky kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000014
Nov 23 13:10:08 lucky kernel:  printing eip:
Nov 23 13:10:08 lucky kernel: 4286e01d
Nov 23 13:10:08 lucky kernel: *pde = 00000000
Nov 23 13:10:08 lucky kernel: Oops: 0000 [#1]
Nov 23 13:10:08 lucky kernel: Modules linked in: loop nfs nfsd
exportfs lockd md5 ipv6 autofs4 sunrpc tulip reiserfs dm_mod ext3 jbd
3w_xxxx sd_mod scsi_mod
Nov 23 13:10:08 lucky kernel: CPU:    0
Nov 23 13:10:08 lucky kernel: EIP:    0060:[<4286e01d>]    Not tainted
Nov 23 13:10:08 lucky kernel: EFLAGS: 00010246   (2.6.8-1.521)
Nov 23 13:10:08 lucky kernel: EIP is at
journal_dirty_metadata+0x46/0x261 [jbd]
Nov 23 13:10:08 lucky kernel: eax: 00000000   ebx: 41fc3e00   ecx:
00001000   edx: 0c0984c0
Nov 23 13:10:08 lucky kernel: esi: 30559b40   edi: 0c0984c0   ebp:
00000000   esp: 1568cda8
Nov 23 13:10:08 lucky kernel: ds: 007b   es: 007b   ss: 0068
Nov 23 13:10:08 lucky kernel: Process dataserver (pid: 24184,
threadinfo=1568c000 task=03b82680)
Nov 23 13:10:08 lucky kernel: Stack: 0544e780 0c0984c0 0c0984c0
0544e780 0c0984c0 4289fe74 00001000 0c0984c0
Nov 23 13:10:08 lucky kernel:        00000000 4289fcd4 00001000
00000000 0544e780 e25b9000 00000000 00001000
Nov 23 13:10:08 lucky kernel:        036e0920 428a0056 00001000
1568ce04 4289fe4f 0718c3c4 0544e780 00000000
Nov 23 13:10:08 lucky kernel: Call Trace:
Nov 23 13:10:08 lucky kernel:  [<4289fe74>] commit_write_fn+0x25/0x46
[ext3]
Nov 23 13:10:08 lucky kernel:  [<4289fcd4>]
walk_page_buffers+0x51/0x70 [ext3]
Nov 23 13:10:08 lucky kernel:  [<428a0056>]
ext3_journalled_commit_write+0x69/0xfc [ext3]
Nov 23 13:10:08 lucky kernel:  [<4289fe4f>] commit_write_fn+0x0/0x46
[ext3]
Nov 23 13:10:08 lucky kernel:  [<0213fadc>]
generic_file_aio_write_nolock+0x6c8/0x855
Nov 23 13:10:08 lucky kernel:  [<021bf345>] avc_has_perm+0x3f/0x49
Nov 23 13:10:08 lucky kernel:  [<0213fd49>]
generic_file_aio_write+0x76/0x8c
Nov 23 13:10:08 lucky kernel:  [<4289db09>] ext3_file_write+0x19/0x88
[ext3]
Nov 23 13:10:08 lucky kernel:  [<02160b0f>] do_sync_write+0x6a/0x99
Nov 23 13:10:08 lucky kernel:  [<02160bf6>] vfs_write+0xb8/0xe4
Nov 23 13:10:08 lucky kernel:  [<02160cc0>] sys_write+0x3c/0x62
Nov 23 13:10:08 lucky kernel: Code: 39 75 14 75 37 83 7d 08 02 75 31
3b 73 58 0f 84 ea 01 00 00

Let me know if you need any more data.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Didn't try

Steps to Reproduce:
1. Create large device file using Sybase ASE 12.5 on a ext3 filesystem
mounted with the default options
2. Run chattr +j on the file while Sybase is writing the file.
3. Run chattr -j on the file while Sybase is writing the file.
Comment 1 Dave Jones 2004-11-24 13:42:29 EST
repeatable with the errata kernel ?
Comment 2 David Rees 2004-11-24 13:50:14 EST
I haven't yet tried to reproduce it on the errata kernel (kernel-2.6.9-1.6_FC2),
I should get a chance next week.
Comment 3 Dave Jones 2005-04-16 00:30:57 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.